FORMS(3) | Library Functions Manual | FORMS(3)

# NAME

`form_opts`, `form_opts_off`, `form_opts_on`, `set_form_opts` — form library

# LIBRARY

Curses Form Library (libform, -lform)

# SYNOPSIS

`#include <form.h>`

Form_Options
`form_opts`(FORM *form);

int
`form_opts_off`(FORM *form, Form_Options options);

int
`form_opts_on`(FORM *form, Form_Options options);

int
`set_form_opts`(FORM *form, Form_Options options);

# DESCRIPTION

The function `form_opts`() returns the current options that are set on the given form. The `form_opts_off`() will turn off the form options given in options for the form, similarly, `form_opts_on`() will turn on the options specified in options for the given form. The form options can be set to an explicit set by calling `set_form_opts`().

# PARAMETERS

The following form options are valid:

O_BS_OVERLOAD
  If this option is set and the cursor is at the first character in the field then the backspace character will perform the same function as a REQ_PREV_FIELD driver request, moving to the previous field in the form.
O_NL_OVERLOAD
  If this option is set and the cursor is at the end of the field then the new line character will perform the same function as a REQ_NEXT_FIELD driver request, moving to the next field in the form.

By default no form options are set.

# RETURN VALUES

Functions returning pointers will return `NULL` if an error is detected. The functions that return an int will return one of the following error values:

`E_OK`
  The function was successful.

# SEE ALSO

curses(3), forms(3)

# NOTES

The header `<form.h>` automatically includes both `<curses.h>` and `<eti.h>`.

January 1, 2001 | NetBSD 11.0